[DEFAULT]
debug = True

api_paste_config = /etc/manila/api-paste.ini
auth_strategy = keystone
cinder_admin_auth_url = http://10.42.42.20:5000/v2.0
cinder_admin_password = manilakeypass
cinder_admin_tenant_name = service
cinder_admin_username = manila
default_share_type = generic
enabled_share_backends = generic
enabled_share_protocols = NFS,CIFS
my_ip = 10.42.42.20
neutron_admin_auth_url = http://10.42.42.20:5000/v2.0
neutron_admin_password = manilakeypass
neutron_admin_project_name = service
neutron_admin_username = manila
neutron_url = http://10.42.42.20:9696
nova_admin_auth_url = http://10.42.42.20:5000/v2.0
nova_admin_password = manilakeypass
nova_admin_tenant_name = service
nova_admin_username = manila
rootwrap_config = /etc/manila/rootwrap.conf
rpc_backend = rabbit
share_name_template = share-%s
transport_url = rabbit://openstack:RABBIT_PASSWORD@10.42.42.20/

[database]
connection = mysql+pymysql://manila:MANILA_MYSQL_PASSWORD@controller/manila

[keystone_authtoken]
auth_plugin = password
auth_uri = http://10.42.42.20:5000
auth_url = http://10.42.42.20:35357
project_domain_id = default
project_name = service
user_domain_id = default
username = manila
password = MANILA_PASSWORD

[oslo_concurrency]
lock_path = /var/lock/manila

[generic]
driver_handles_share_servers = True
interface_driver = manila.network.linux.interface.OVSInterfaceDriver
service_image_name = manila
service_instance_flavor_id = 9999
service_instance_password = manila
service_instance_user = manila
share_backend_name = GENERIC
share_driver = manila.share.drivers.generic.GenericShareDriver
